﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/TwoCol.Master" CodeBehind="Default.aspx.vb" Inherits="WebApplication1._Default" 
    title="Untitled Page" %>
<%@ Register src="~/RegionMap.ascx" tagname="RegionMap" tagprefix="nxg" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="LeftContentTop" runat="server">
    Informative text here
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="RightContentTop" runat="server">
    <!-- The following are required as workarounds to various ThinkGeo issues -->
    <script type='text/javascript' src='http://api.maps.yahoo.com/ajaxymap?v=3.8&appid=Bd9gSkjV34HjEG3gbiUNcTx8e4xfNS3dnpLFCaDh_qb2dRQVpFH_eJ4wbGtStdIPuiY-'></script>
    <script type="text/javascript" src="opl_GeoResource.axd"></script>
    <script type="text/javascript" src="extension_GeoResource.axd"></script>
    <script type="text/javascript" src="helper_GeoResource.axd"></script>
    <script type="text/javascript" src="parser_GeoResource.axd"></script>
    <script type="text/javascript" src="func_GeoResource.axd"></script>
    <script type="text/javascript" src="cm_GeoResource.axd"></script>
    
    <asp:UpdatePanel id="upnlTearPageView" runat="server" UpdateMode="Conditional">
        <ContentTemplate>

            <div id="tabs" style="margin-right:10px;">
                <ul class="tabs" runat="server" id="tpViewTabList">
                    <li runat="server" id="tab1" class="tab activetab">
                        <asp:LinkButton ID="lnkbTab1" runat="server" Text="Tab 1" OnClick="ViewTab_Clicked"></asp:LinkButton>
                    </li>
                    <li runat="server" id="tabMapView" class="tab inactivetab">
                        <asp:LinkButton ID="lnkbMap" runat="server" Text="Map" OnClick="ViewTab_Clicked"></asp:LinkButton>
                    </li>
                    <li runat="server" id="tab3" class="tab inactivetab">
                        <asp:LinkButton ID="lnkbTab3" runat="server" Text="Tab 3" OnClick="ViewTab_Clicked"></asp:LinkButton>
                    </li>
                    <li runat="server" id="tab4" class="tab inactivetab">
                        <asp:LinkButton ID="lnkbTab4" runat="server" Text="Tab 4" OnClick="ViewTab_Clicked"></asp:LinkButton>
                    </li>
                    <li runat="server" id="tab5" class="tab inactivetab">
                        <asp:LinkButton ID="lnkbTab5" runat="server" Text="Tab 5" OnClick="ViewTab_Clicked"></asp:LinkButton>
                    </li>
                </ul>
            </div>
            
            <div id="tabPanel" style="margin-right:10px;height:90%;">
                <asp:Panel ID="pnlTab1" runat="server" Visible="true">
                    Tab 1
                </asp:Panel>
                <asp:Panel ID="pnlMapView" runat="server" Visible="false">
                    <nxg:RegionMap ID="ctlRegionMap" runat="server" />
                </asp:Panel>
                <asp:Panel ID="pnlTab3" runat="server" Visible="false">
                    Tab 3
                </asp:Panel>
                <asp:Panel ID="pnlTab4" runat="server" Visible="false">
                    Tab 4
                </asp:Panel>
                <asp:Panel ID="pnlTab5" runat="server" Visible="false">
                    Tab 5
                </asp:Panel>
                <asp:UpdateProgress ID="uprgTearPage" runat="server" AssociatedUpdatePanelID="upnlTearPageView" DisplayAfter="3">
                    <ProgressTemplate>
                        Retrieving data...
                    </ProgressTemplate>
                </asp:UpdateProgress>
                <asp:Label runat="server" ID="lblErrMsg" ForeColor="Red" Visible="false" Font-Size="10px"></asp:Label>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>

</asp:Content>
